/*
 * EMULADOR_TURBINA_ONE_dt.h
 *
 * Real-Time Workshop code generation for Simulink model "EMULADOR_TURBINA_ONE.mdl".
 *
 * Model Version              : 1.59
 * Real-Time Workshop version : 7.4  (R2009b)  29-Jun-2009
 * C source code generated on : Mon Dec 12 08:22:53 2011
 *
 * Target selection: rtwin.tlc
 * Note: GRT includes extra infrastructure and instrumentation for prototyping
 * Embedded hardware selection: 32-bit Generic
 * Code generation objectives: Unspecified
 * Validation result: Not run
 */

#include "ext_types.h"

/* data type size table */
static uint_T rtDataTypeSizes[] = {
  sizeof(real_T),
  sizeof(real32_T),
  sizeof(int8_T),
  sizeof(uint8_T),
  sizeof(int16_T),
  sizeof(uint16_T),
  sizeof(int32_T),
  sizeof(uint32_T),
  sizeof(boolean_T),
  sizeof(fcn_call_T),
  sizeof(int_T),
  sizeof(pointer_T),
  sizeof(action_T),
  2*sizeof(uint32_T)
};

/* data type name table */
static const char_T * rtDataTypeNames[] = {
  "real_T",
  "real32_T",
  "int8_T",
  "uint8_T",
  "int16_T",
  "uint16_T",
  "int32_T",
  "uint32_T",
  "boolean_T",
  "fcn_call_T",
  "int_T",
  "pointer_T",
  "action_T",
  "timer_uint32_pair_T"
};

/* data type transitions for block I/O structure */
static DataTypeTransition rtBTransitions[] = {
  { (char_T *)(&EMULADOR_TURBINA_ONE_B.w_pu), 0, 0, 20 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_B.AND), 8, 0, 6 }
  ,

  { (char_T *)(&EMULADOR_TURBINA_ONE_DWork.PrevY), 0, 0, 4 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_DWork.Pe_PWORK.LoggedData), 11, 0, 9 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_DWork.datos_viento_IWORK.PrevIndex), 10, 0,
    1 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_DWork.is_active_c3_EMULADOR_TURBINA_O), 3,
    0, 2 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_DWork.Memory_PreviousInput), 8, 0, 7 }
};

/* data type transition table for block I/O structure */
static DataTypeTransitionTable rtBTransTable = {
  7U,
  rtBTransitions
};

/* data type transitions for Parameters structure */
static DataTypeTransition rtPTransitions[] = {
  { (char_T *)(&EMULADOR_TURBINA_ONE_P.Integrator_IC), 0, 0, 43 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_P.AnalogOutput_Channels), 6, 0, 6 },

  { (char_T *)(&EMULADOR_TURBINA_ONE_P.Memory_X0), 8, 0, 3 }
};

/* data type transition table for Parameters structure */
static DataTypeTransitionTable rtPTransTable = {
  3U,
  rtPTransitions
};

/* [EOF] EMULADOR_TURBINA_ONE_dt.h */
